Bug 615223 - vfs-type could not read just-created filesystem
vfs-type could not read just-created filesystem
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libguestfs (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
:
Depends On: 613593
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 04:31 EDT by Jinxin Zheng
Modified: 2015-09-27 22:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: libguestfs-1.7.17-4.el6
Doc Type: Bug Fix
Doc Text:
The guestfish vfs-type command could not determine the type of a file system newly created by guestfish. This occurred because the vfs-type command tried to read the type from a cache file (blkid.c) that had not yet been updated. The cache file is now deleted between file system creation and attempting to read the file system type, resulting in updated file system information for vfs-type to read
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 07:45:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Richard W.M. Jones 2011-01-04 09:03:22 EST
Fixed in the rebase.
Comment 4 Yufang Zhang 2011-02-14 21:39:55 EST
QA verified this bug with libguestfs-1.7.17-12.el6.x86_64 and guestfish-1.7.17-12.el6.x86_64:

# guestfish
><fs> alloc test.img 1000M
><fs> add test.img
><fs> run
><fs> mkfs ext2 /dev/vda
><fs> vfs-type /dev/vda
ext2
><fs> mkfs vfat /dev/vda
><fs> vfs-type /dev/vda
vfat


So change this bug to VERIFIED.
Comment 7 Laura Bailey 2011-04-18 01:47:46 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The guestfish vfs-type command could not determine the type of a file system newly created by guestfish. This occurred because the vfs-type command tried to read the type from a cache file (blkid.c) that had not yet been updated. The cache file is now deleted between file system creation and attempting to read the file system type, forcing vfs-type to read updated file system information.
Comment 8 Laura Bailey 2011-04-18 01:48:38 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-The guestfish vfs-type command could not determine the type of a file system newly created by guestfish. This occurred because the vfs-type command tried to read the type from a cache file (blkid.c) that had not yet been updated. The cache file is now deleted between file system creation and attempting to read the file system type, forcing vfs-type to read updated file system information.+The guestfish vfs-type command could not determine the type of a file system newly created by guestfish. This occurred because the vfs-type command tried to read the type from a cache file (blkid.c) that had not yet been updated. The cache file is now deleted between file system creation and attempting to read the file system type, resulting in updated file system information for vfs-type to read
Comment 9 Richard W.M. Jones 2011-04-18 03:39:37 EDT
This is fine, thanks.
Comment 10 errata-xmlrpc 2011-05-19 07:45:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0586.html
Comment 11 errata-xmlrpc 2011-05-19 09:10:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0586.html

Note You need to log in before you can comment on or make changes to this bug.